﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class GameOverScript : MonoBehaviour {

    public Text ScoreText;

    private GameScript _gameScript;

	// Use this for initialization
	void Awake () {
        GameObject gameController = GameObject.FindWithTag("GameController");
        if (gameController != null)
        {
            _gameScript = gameController.GetComponent<GameScript>();
        }
        if (_gameScript == null)
        {
            Debug.Log("Cannot find 'GameController' script");
        }
    }
	
    public void RestartGame()
    {
        SceneManager.LoadScene(SceneManager.GetActiveScene().buildIndex);
    }

	// Update is called once per frame
	void Update () {
        ScoreText.text = _gameScript.Score.ToString();
	}
}
