﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Spawner : MonoBehaviour
{

    public float SpawnInterval = 5.0f;
    public bool EnableSpawning = true;
    public List<GameObject> FurniturePrefabs = new List<GameObject>();

    private GameScript _gameScript;

    public void StartSpawning()
    {
        StartCoroutine("SpawnFurniture");
    }

    void Awake()
    {
        GameObject gameController = GameObject.FindWithTag("GameController");
        if (gameController != null)
        {
            _gameScript = gameController.GetComponent<GameScript>();
        }
        if (_gameScript == null)
        {
            Debug.Log("Cannot find 'GameController' script");
        }
    }

    private IEnumerator SpawnFurniture()
    {
        while (!_gameScript.GameOver && _gameScript.GameRunning)
        {
            int prefabIndex = Random.Range(0, FurniturePrefabs.Count);
            Instantiate(FurniturePrefabs[prefabIndex], transform.position, Quaternion.identity);
            yield return new WaitForSeconds(SpawnInterval);
        }
    }

    private void OnTriggerEnter2D(Collider2D collision)
    {
        collision.GetComponent<Rigidbody2D>().gravityScale = 0;
        collision.GetComponent<Rigidbody2D>().velocity = new Vector2(1.5f, 0);
    }

    private void OnTriggerExit2D(Collider2D collision)
    {
        collision.GetComponent<Rigidbody2D>().gravityScale = 1;
    }
}
